Skip to main content
GET
/
v2
/
alert_sources
/
{id}
Show
curl --request GET \
  --url https://api.incident.io/v2/alert_sources/{id} \
  --header 'Authorization: Bearer <token>'
{
  "alert_source": {
    "auto_resolve_incident_alerts": false,
    "auto_resolve_timeout_minutes": 1,
    "email_options": {
      "email_address": "lawrence@example.com"
    },
    "heartbeat_options": {
      "failure_threshold": 1,
      "grace_period_seconds": 0,
      "interval_seconds": 60,
      "ping_url": "https://api.incident.io/v2/heartbeat/01GW2G3V0S59R238FAHPDS1R66/ping"
    },
    "http_custom_options": {
      "deduplication_key_path": "$.alert_id",
      "transform_expression": "return {\n  title: $.title || $.name || 'Unknown Alert',\n  status: $.status === 'resolved' ? 'resolved' : 'firing',\n  description: $.description || $.message || '',\n  sourceURL: $.url || $.link || '',\n  metadata: { team: $.team, severity: $.severity }\n}"
    },
    "id": "01GW2G3V0S59R238FAHPDS1R66",
    "jira_options": {
      "project_ids": [
        "01GBSQF3FHF7FWZQNWGHAVQ804",
        "10043"
      ]
    },
    "name": "Production Web Dashboard Alerts",
    "owning_team_ids": [
      "01G0J1EXE7AXZ2C93K61WBPYEH"
    ],
    "secret_token": "some-secret-token",
    "source_type": "alertmanager",
    "template": {
      "attributes": [
        {
          "alert_attribute_id": "abc123",
          "binding": {
            "array_value": [
              {
                "label": "Lawrence Jones",
                "literal": "SEV123",
                "reference": "incident.severity"
              }
            ],
            "merge_strategy": "first_wins",
            "value": {
              "label": "Lawrence Jones",
              "literal": "SEV123",
              "reference": "incident.severity"
            }
          }
        }
      ],
      "description": {
        "label": "Lawrence Jones",
        "literal": "SEV123",
        "reference": "incident.severity"
      },
      "expressions": [
        {
          "else_branch": {
            "result": {
              "array_value": [
                {
                  "label": "Lawrence Jones",
                  "literal": "SEV123",
                  "reference": "incident.severity"
                }
              ],
              "value": {
                "label": "Lawrence Jones",
                "literal": "SEV123",
                "reference": "incident.severity"
              }
            }
          },
          "label": "Team Slack channel",
          "operations": [
            {
              "branches": {
                "branches": [
                  {
                    "condition_groups": [
                      {
                        "conditions": [
                          {
                            "operation": {
                              "label": "Lawrence Jones",
                              "value": "01FCQSP07Z74QMMYPDDGQB9FTG"
                            },
                            "param_bindings": [
                              {
                                "array_value": [
                                  {
                                    "label": "Lawrence Jones",
                                    "literal": "SEV123",
                                    "reference": "incident.severity"
                                  }
                                ],
                                "value": {
                                  "label": "Lawrence Jones",
                                  "literal": "SEV123",
                                  "reference": "incident.severity"
                                }
                              }
                            ],
                            "subject": {
                              "label": "Incident Severity",
                              "reference": "incident.severity"
                            }
                          }
                        ]
                      }
                    ],
                    "result": {
                      "array_value": [
                        {
                          "label": "Lawrence Jones",
                          "literal": "SEV123",
                          "reference": "incident.severity"
                        }
                      ],
                      "value": {
                        "label": "Lawrence Jones",
                        "literal": "SEV123",
                        "reference": "incident.severity"
                      }
                    }
                  }
                ],
                "returns": {
                  "array": true,
                  "type": "IncidentStatus"
                }
              },
              "filter": {
                "condition_groups": [
                  {
                    "conditions": [
                      {
                        "operation": {
                          "label": "Lawrence Jones",
                          "value": "01FCQSP07Z74QMMYPDDGQB9FTG"
                        },
                        "param_bindings": [
                          {
                            "array_value": [
                              {
                                "label": "Lawrence Jones",
                                "literal": "SEV123",
                                "reference": "incident.severity"
                              }
                            ],
                            "value": {
                              "label": "Lawrence Jones",
                              "literal": "SEV123",
                              "reference": "incident.severity"
                            }
                          }
                        ],
                        "subject": {
                          "label": "Incident Severity",
                          "reference": "incident.severity"
                        }
                      }
                    ]
                  }
                ]
              },
              "navigate": {
                "reference": "1235",
                "reference_label": "Teams"
              },
              "operation_type": "navigate",
              "parse": {
                "returns": {
                  "array": true,
                  "type": "IncidentStatus"
                },
                "source": "metadata.annotations[\"github.com/repo\"]"
              },
              "returns": {
                "array": true,
                "type": "IncidentStatus"
              }
            }
          ],
          "reference": "abc123",
          "returns": {
            "array": true,
            "type": "IncidentStatus"
          },
          "root_reference": "incident.status"
        }
      ],
      "is_private": false,
      "title": {
        "label": "Lawrence Jones",
        "literal": "SEV123",
        "reference": "incident.severity"
      },
      "visible_to_teams": {
        "array_value": [
          {
            "label": "Lawrence Jones",
            "literal": "SEV123",
            "reference": "incident.severity"
          }
        ],
        "value": {
          "label": "Lawrence Jones",
          "literal": "SEV123",
          "reference": "incident.severity"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

The ID of this alert source

Example:

"01GW2G3V0S59R238FAHPDS1R66"

Response

200 - application/json

OK response.

alert_source
object
required
Example:
{
  "auto_resolve_incident_alerts": false,
  "auto_resolve_timeout_minutes": 1,
  "email_options": { "email_address": "lawrence@example.com" },
  "heartbeat_options": {
    "failure_threshold": 1,
    "grace_period_seconds": 0,
    "interval_seconds": 60,
    "ping_url": "https://api.incident.io/v2/heartbeat/01GW2G3V0S59R238FAHPDS1R66/ping"
  },
  "http_custom_options": {
    "deduplication_key_path": "$.alert_id",
    "transform_expression": "return {\n  title: $.title || $.name || 'Unknown Alert',\n  status: $.status === 'resolved' ? 'resolved' : 'firing',\n  description: $.description || $.message || '',\n  sourceURL: $.url || $.link || '',\n  metadata: { team: $.team, severity: $.severity }\n}"
  },
  "id": "01GW2G3V0S59R238FAHPDS1R66",
  "jira_options": {
    "project_ids": ["01GBSQF3FHF7FWZQNWGHAVQ804", "10043"]
  },
  "name": "Production Web Dashboard Alerts",
  "owning_team_ids": ["01G0J1EXE7AXZ2C93K61WBPYEH"],
  "secret_token": "some-secret-token",
  "source_type": "alertmanager",
  "template": {
    "attributes": [
      {
        "alert_attribute_id": "abc123",
        "binding": {
          "array_value": [
            {
              "label": "Lawrence Jones",
              "literal": "SEV123",
              "reference": "incident.severity"
            }
          ],
          "merge_strategy": "first_wins",
          "value": {
            "label": "Lawrence Jones",
            "literal": "SEV123",
            "reference": "incident.severity"
          }
        }
      }
    ],
    "description": {
      "label": "Lawrence Jones",
      "literal": "SEV123",
      "reference": "incident.severity"
    },
    "expressions": [
      {
        "else_branch": {
          "result": {
            "array_value": [
              {
                "label": "Lawrence Jones",
                "literal": "SEV123",
                "reference": "incident.severity"
              }
            ],
            "value": {
              "label": "Lawrence Jones",
              "literal": "SEV123",
              "reference": "incident.severity"
            }
          }
        },
        "label": "Team Slack channel",
        "operations": [
          {
            "branches": {
              "branches": [
                {
                  "condition_groups": [
                    {
                      "conditions": [
                        {
                          "operation": {
                            "label": "Lawrence Jones",
                            "value": "01FCQSP07Z74QMMYPDDGQB9FTG"
                          },
                          "param_bindings": [
                            {
                              "array_value": [
                                {
                                  "label": "Lawrence Jones",
                                  "literal": "SEV123",
                                  "reference": "incident.severity"
                                }
                              ],
                              "value": {
                                "label": "Lawrence Jones",
                                "literal": "SEV123",
                                "reference": "incident.severity"
                              }
                            }
                          ],
                          "subject": {
                            "label": "Incident Severity",
                            "reference": "incident.severity"
                          }
                        }
                      ]
                    }
                  ],
                  "result": {
                    "array_value": [
                      {
                        "label": "Lawrence Jones",
                        "literal": "SEV123",
                        "reference": "incident.severity"
                      }
                    ],
                    "value": {
                      "label": "Lawrence Jones",
                      "literal": "SEV123",
                      "reference": "incident.severity"
                    }
                  }
                }
              ],
              "returns": { "array": true, "type": "IncidentStatus" }
            },
            "filter": {
              "condition_groups": [
                {
                  "conditions": [
                    {
                      "operation": {
                        "label": "Lawrence Jones",
                        "value": "01FCQSP07Z74QMMYPDDGQB9FTG"
                      },
                      "param_bindings": [
                        {
                          "array_value": [
                            {
                              "label": "Lawrence Jones",
                              "literal": "SEV123",
                              "reference": "incident.severity"
                            }
                          ],
                          "value": {
                            "label": "Lawrence Jones",
                            "literal": "SEV123",
                            "reference": "incident.severity"
                          }
                        }
                      ],
                      "subject": {
                        "label": "Incident Severity",
                        "reference": "incident.severity"
                      }
                    }
                  ]
                }
              ]
            },
            "navigate": {
              "reference": "1235",
              "reference_label": "Teams"
            },
            "operation_type": "navigate",
            "parse": {
              "returns": { "array": true, "type": "IncidentStatus" },
              "source": "metadata.annotations[\"github.com/repo\"]"
            },
            "returns": { "array": true, "type": "IncidentStatus" }
          }
        ],
        "reference": "abc123",
        "returns": { "array": true, "type": "IncidentStatus" },
        "root_reference": "incident.status"
      }
    ],
    "is_private": false,
    "title": {
      "label": "Lawrence Jones",
      "literal": "SEV123",
      "reference": "incident.severity"
    },
    "visible_to_teams": {
      "array_value": [
        {
          "label": "Lawrence Jones",
          "literal": "SEV123",
          "reference": "incident.severity"
        }
      ],
      "value": {
        "label": "Lawrence Jones",
        "literal": "SEV123",
        "reference": "incident.severity"
      }
    }
  }
}